For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Network ZTP
      • ZTP Architecture
      • Configuration Guide
      • Upload Images
      • ZTP API
        • GETHealthcheck
        • GETCurrent User Info
          • GETList All Files
          • GETList Files
          • GETLoad Object
          • POSTUpload File
          • GETLoad Checksum
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesNetwork ZTP ServiceZTP APIfiles

List Files

||View as Markdown|
GET
https://host.com/v1/files/:platform/:version/
GET
/v1/files/:platform/:version/
$curl https://host.com/v1/files/platform/version/ \
> -H "Content-Type: application/json"
1[
2 {
3 "file": "app-release.apk",
4 "last_modified": "2024-01-15T09:30:00Z",
5 "size": 52428800
6 }
7]
List files associated with the given platform and version.
Previous

List All Files

Next

Load Object

Path parameters

platformstringRequired
versionstringRequired

Response

Successful Response
filestring
Filename
last_modifieddatetime or double
Last modification timestamp
sizeinteger
File size in bytes

Errors

404
Not Found Error
422
Unprocessable Entity Error